Page MenuHomePhabricator

Initial commit
ClosedPublic

Authored by Ricordisamoa on May 12 2015, 11:52 AM.
Tags
None
Tokens
"The World Burns" token, awarded by revi."The World Burns" token, awarded by Nemo_bis."Like" token, awarded by mmodell."Like" token, awarded by White-Master."Love" token, awarded by Qgil.

Details

Maniphest Tasks
T95309: make gerritbot remove the "patch-for-review" tag once a patch is merged (or abandoned)
Reviewers
AlessioMela
Sannita
Commits
rTWDZ5c16f6a2ea3c: Initial commit
rTWDI5c16f6a2ea3c: Initial commit
Patch without arc
git checkout -b D1 && curl -L https://phabricator.wikimedia.org/D1?download=true | git apply
Test Plan

No test plan!
I don't see why this is required anyway...

Diff Detail

Repository
rTWDI Labs-Tools-Wikidipendenza
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

Added some comments to html.php.

Ricordisamoa set the repository for this revision to rTWDI Labs-Tools-Wikidipendenza.Jun 18 2015, 4:33 AM
Ricordisamoa updated this revision to Diff 9.Jun 18 2015, 4:36 AM

Added licensing information.

Ricordisamoa updated this revision to Diff 10.Jun 18 2015, 4:39 AM

Switched itwiki API to HTTPS.

Ricordisamoa updated this revision to Diff 14.Jul 20 2015, 6:30 PM

Enclosed everything in a "Wikidipendenza" namespace to pass the latest mediawiki/tools/codesniffer.

Ricordisamoa updated this revision to Diff 15.Jul 21 2015, 6:29 AM

New live test from Wikiversity!

Ricordisamoa added inline comments.Jul 21 2015, 6:33 AM
index.php
40

Still hardcoded :(

Nemo_bis resigned from this revision.Jul 21 2015, 8:51 AM
Nemo_bis removed a reviewer: Nemo_bis.
Ricordisamoa updated this revision to Diff 16.Jul 21 2015, 12:31 PM

Minor tweaks to index.php and toolinfo.json.

Lots of tokens but no reviews...

BTW given the edit frequency on itwikiversity I don't think any wikiholics are active there...

mmodell accepted this revision.Jul 22 2015, 8:32 PM
mmodell added a reviewer: mmodell.

Looks good to me

This revision is now accepted and ready to land.Jul 22 2015, 8:32 PM

Since I couldn't get arc to work, I used to update this diff manually.
But now I can't land it :-((
Any help appreciated!

Thank you all so much, this means the world to me. Words just can not express how I feel. Thank You

Since I couldn't get arc to work, I used to update this diff manually.
But now I can't land it :-((
Any help appreciated!

You can land it by simply merging your change and pushing.

revi awarded a token.Oct 26 2015, 12:13 PM
mmodell resigned from this revision.Oct 26 2015, 7:26 PM
mmodell removed a reviewer: mmodell.
This revision now requires review to proceed.Oct 26 2015, 7:26 PM
mmodell removed a subscriber: mmodell.Oct 26 2015, 7:26 PM
Ricordisamoa updated this revision to Diff 301.Jan 23 2016, 9:32 PM

Rebase only

Ricordisamoa updated this revision to Diff 302.Jan 23 2016, 9:49 PM

Update README.md and license notice

Change English link from broken version to APerson's tool

This revision was automatically updated to reflect the committed changes.
RobH mentioned this in Unknown Object (Task).Wed, Jul 3, 5:56 PM
Gehel mentioned this in Unknown Object (Task).Thu, Jul 11, 9:28 AM